# Connect Soda to Dremio

> For Soda to run quality scans on your data, you must configure it to connect to your data source.\
> To learn how to set up Soda and configure it to connect to your data sources, see [Get started](https://docs.soda.io/soda-documentation/soda-v3/quick-start-sip/setup-guide).

## Compatibility

Soda supports Dremio version 22 or greater.

## Connection configuration reference

Install package: `soda-dremio`

```yaml
data_source my_datasource_name:
  type: dremio
  host: 127.0.0.1
  port: 5432
  username: simple
  password: simple_pass
  schema: public
  use_encryption: "false"
  routing_queue: queue
  disable_certificate_verification: "false"

```

| Property                           | Required | Notes                                                                                                                                                                                                                                            |
| ---------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| type                               | required | Identify the type of data source for Soda.                                                                                                                                                                                                       |
| host                               | required | Provide a host identifier.                                                                                                                                                                                                                       |
| port                               | required | Provide a port identifier.                                                                                                                                                                                                                       |
| username                           | required | Consider using system variables to retrieve this value securely.                                                                                                                                                                                 |
| password                           | required | Consider using system variables to retrieve this value securely.                                                                                                                                                                                 |
| schema                             | optional | Provide an identifier for the schema in which your dataset exists.                                                                                                                                                                               |
| use\_encryption                    | optional | Specify a boolean value to use, or not use, encryption. Default is `false`. Value requires double quotes.                                                                                                                                        |
| routing\_queue                     | optional | Provide an identifier for the routing queue to use.                                                                                                                                                                                              |
| disable\_certificate\_verification | optional | Specify a boolean value to demand that Dremio verify the host certificate against the truststore. If set to `true`, Dremio does *not* verify the host certificate. Default value is `false` to verify certificate. Value requires double quotes. |

## Test the data source connection <a href="#test-the-data-source-connection" id="test-the-data-source-connection"></a>

To confirm that you have correctly configured the connection details for the data source(s) in your configuration YAML file, use the `test-connection` command. If you wish, add a `-V` option to the command to returns results in verbose mode in the CLI.

```sh
soda test-connection -d my_datasource -c configuration.yml -V
```

## Supported data types

| Category | Data type                                                       |
| -------- | --------------------------------------------------------------- |
| text     | CHAR, VARCHAR, STRING                                           |
| number   | TINYINT, SMALLINT, INT, INTEGER, BIGINT, DOUBLE, FLOAT, DECIMAL |
| time     | DATE, TIMESTAMP                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-dremio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
